Cyberduck Mountain Duck CLI

#10980 closed defect (fixed)

Entering infinite loop of logins when there is an error while uploading

Reported by: dunklesToast Owned by: dkocher
Priority: high Milestone: 8.0
Component: ftp Version: Nightly Build
Severity: critical Keywords: transfer
Cc: Architecture: Intel
Platform: macOS 10.15

Description (last modified by dunklesToast)

Had this error with HostEurope. They lock their users to 8 Connections / User so it threw an Error when I used 20 Connections with Cyberduck. After the error was thrown, Cyberduck tried again and again and again which led me into the situation that my IP was blocked by HostEurope. As that happened Cyberduck stopped and had a timeout. However it's very hard to stop Cyberduck retrying the upload. I've got a small recording of this behaviour but censored out the IP and so on for privacy reasons. I will tag this as FTP because I can't check if this issue is similar to other Upload processes. I encountered this bug in the latest Release (7.2.5) and Nightly Version (7.2.8 (32391)).

Attachments (1)

Cyberduck Bug.mp4 (3.9 MB) - added by dunklesToast on Mar 1, 2020 at 10:57:59 PM.
Here you see the issue. Cyberduck is tries to reconnect and enters a loop of failed logins.

Change History (5)

Changed on Mar 1, 2020 at 10:57:59 PM by dunklesToast

Here you see the issue. Cyberduck is tries to reconnect and enters a loop of failed logins.

comment:1 Changed on Mar 1, 2020 at 10:58:57 PM by dunklesToast

  • Description modified (diff)

comment:2 Changed on Mar 24, 2020 at 12:53:01 PM by dkocher

  • Milestone set to 8.0

comment:3 Changed on Mar 24, 2020 at 12:53:05 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:4 Changed on Mar 26, 2020 at 2:48:27 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r48945.

Note: See TracTickets for help on using tickets.
swiss made software